## diffoscope 105~bpo9+1

=== debian/changelog ===
diffoscope (105~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 11 Nov 2018 11:59:00 +0100

diffoscope (105) unstable; urgency=medium

  [ Chris Lamb ]
  * tests:
    + Prevent test failures when running under stretch-backports by checking
      the ocaml version number.  Closes: #911846

  [ Mattia Rizzolo ]
  * debian: Reinstate apktool Build-Depends and Test-Depends.
  * Fix some flake8 and deprecation warnings.

  [ Daniel Shahaf ]
  * comparators/pcap:
    + Fix recognition with the upcoming file(1) 5.35.  Closes: #912756
      Thanks to Christoph Biedl for the heads-up in advance.

  [ Will Thompson ]
  * Add a new command line flag --list-missing-tools.  MR: !14

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 08 Nov 2018 22:27:23 +0100
