## diffoscope 105

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Ximin Luo <infinity0@debian.org>,
 Build-Depends:
  abootimg <!nocheck>,
-# apktool [!ppc64el !s390x] <!nocheck>,
+ apktool [!ppc64el !s390x] <!nocheck>,
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
