## diffoscope 106

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
- gnumeric <!nocheck>,
+# gnumeric <!nocheck>,
  help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
@@ -50,7 +50,7 @@
  openssh-client <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
- procyon-decompiler <!nocheck>,
+# procyon-decompiler <!nocheck>,
  python-argcomplete,
  python3-all,
  python3-binwalk <!nocheck>,
