=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	@sed -i "s#%RECOMMENDS%#$(shell bin/diffoscope --list-debian-substvars | cut -d= -f2)#" debian/tests/control.tmp
 	@sed -i "s#%PYRECOMMENDS%#$(shell python3 -c "import distutils.core; \
 		setup = distutils.core.run_setup('setup.py'); \
-		print(', '.join(['python3-'+x for y in setup.extras_require.values() for x in y]))" \
+		print(', '.join(sorted(['python3-'+x for y in setup.extras_require.values() for x in y])))" \
 	)#" debian/tests/control.tmp
 	@sed -i "s,python3-python-debian,python3-debian," debian/tests/control.tmp
 	@sed -i "s,python3-rpm-python,python3-rpm," debian/tests/control.tmp
@@ -81,6 +81,8 @@
 	@sed -i "s,fp-utils,fp-utils [!ppc64el !s390x]," debian/tests/control.tmp
 	#@sed -i "s,oggvideotools,oggvideotools [!s390x]," debian/tests/control.tmp
 	@sed -i "s/oggvideotools, //" debian/tests/control.tmp
+	@sed -i "s/gnumeric, //" debian/tests/control.tmp
+	@sed -i "s/procyon-decompiler, //" debian/tests/control.tmp
 	@set -e ; if ! diff -q debian/tests/control debian/tests/control.tmp ; then \
 		echo ;\
 		echo "The generated control file differs from the actual one." ;\
