## diffoscope 108

=== debian/control ===
--- 
+++ 
@@ -79,7 +79,7 @@
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
 Build-Conflicts: graphicsmagick-imagemagick-compat
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
@@ -89,10 +89,6 @@
 Architecture: all
 Suggests:
  libjs-jquery,
-Breaks:
- debbindiff (<< 29),
-Replaces:
- debbindiff (<< 29),
 Depends:
  python3-distutils | libpython3.5-stdlib | libpython3.6-stdlib (<< 3.6.5~rc1-2),
  python3-pkg-resources,
