## diffoscope 111

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
-# gnumeric <!nocheck>,
+ gnumeric <!nocheck>,
  help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
