## diffoscope 113ubuntu1

=== debian/changelog ===
diffoscope (113ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Temporarily disable the fsimage tests during autopkgtest.
    - tweak rules to allow different changelog and version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2019 16:10:11 +0100

diffoscope (112ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Temporarily disable the fsimage tests during autopkgtest.
    - tweak rules to allow different changelog and version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Feb 2019 15:32:50 +0100

diffoscope (111ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Temporarily disable the fsimage tests during autopkgtest.
    - tweak rules to allow different changelog and version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Feb 2019 18:28:11 +0100

diffoscope (108ubuntu3) disco; urgency=medium

  * Temporarily disable the fsimage tests during autopkgtest.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Wed, 23 Jan 2019 23:48:20 +0100

diffoscope (108ubuntu2) disco; urgency=medium

  * Try to increase the memory available to qemu, still debugging ppc64el.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Wed, 23 Jan 2019 21:22:30 +0100

diffoscope (108ubuntu1) disco; urgency=medium

  * Try to debug guestfs failures on ppc64el's autopkgtest.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Wed, 23 Jan 2019 16:51:39 +0100
