=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,11 @@
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
     endif
   else
-   $(error Version in debian/changelog does not match diffoscope version)
+    ifeq ($(DEB_DISTRIBUTION),disco)
+     $(info "Ubuntu gets to do whatever they want ☺")
+    else
+     $(error Version in debian/changelog does not match diffoscope version)
+    endif
   endif
  endif
 endif
