## diffoscope 121~bpo10+1

=== debian/changelog ===
diffoscope (121~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 20 Aug 2019 13:36:12 +0200

diffoscope (121) unstable; urgency=medium

  * Don't fallback to a (useless) raw hexdump when readelf(1) reports an minor
    issue in a section in an ELF binary. For example, when the "frames" section
    is of the "NOBITS" type, its contents are apparently "unreliable" and thus
    readelf(1) exits with a returncode of 1. (Closes: #849407, #931962)
  * Add support to Difference.from_command_exc and friends to optionally ignore
    specified returncodes from the called program and treat them as "no"
    difference.
  * Simplify the parsing of the optional "command_args" argument to the
    from_command and from_command_exc methods in the Difference class.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Aug 2019 09:49:07 -0700

diffoscope (120) unstable; urgency=medium

  * No-change sourceful after accidentally uploading binaries in order to
    migration to testing.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Jul 2019 17:17:46 -0300

diffoscope (119) unstable; urgency=medium

  [ Chris Lamb ]
  * If a command fails to execute but does not print anything to standard
    error, try and include the first line of standard output in the message we
    include in the diff. This was motivated by readelf(1) returning its error
    messages on stdout. (Closes: #931963)
  * Add support for Java ".jmod" modules. Not all versions of file(1) support
    detection of Jmod files yet, so we perform a manual comparison instead.
    (Closes: #933308)
  * Re-add "return code" noun to "Command `foo` exited with X" error messages.
  * Factor out the ability to ignore the exit codes of "zipinfo" and
    "zipinfo -v" in the presence of non-standard headers.
  * Only override the exit code from our special-cased calls to zipinfo(1) if
    they are 1 or 2 to avoid potentially masking real errors.
  * Also add missing textual description entries for ZipFile and
    MozillaZipFile file types.
  * Skip extra newline in "Output:\n<none>".
  * Cease ignoring test failures in stable-backports.
  * Bump debhelper compat level to 12.

  [ Marc Herbert ]
  * Catch failures to disassemble and rescue all other differences.
    (Closes: reproducible-builds/diffoscope!29)

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Jul 2019 15:22:24 -0300

diffoscope (118) unstable; urgency=medium

  * Don't fail in autopkgtests when, for example, we do not have sufficiently
    newer or older version of file. (Closes: #931881)
  * Also include python3-tlsh in test dependencies.
  * Tidy handling of DIFFOSCOPE_FAIL_TESTS_ON_MISSING_TOOLS:
    - Merge two previously-overlapping environment variables.
    - Use repr(..)-style output when printing test status.
    - Add some explicit return values to appease pylint.

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Jul 2019 10:23:29 -0300

diffoscope (117) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for file 5.37. Thanks again to Christoph Biedl for the heads-up
    in advance. (Closes: reproducible-builds/diffoscope/#57)
  * Apply patch from Gianfranco Costamagna to fix autopkgtest failures in
    Debian. (Closes: #931709)

  [ Holger Levsen ]
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Jul 2019 10:24:54 -0300

diffoscope (116) unstable; urgency=medium

  [ Chris Lamb ]
  * Upload to unstable after the release of Debian "buster".
  * README.rst & manual page generation:
    - Strip out manpage-only parts of the README rather than using "only"
      reStructuredText directives in order to support the demands of the latest
      PyPI website.
    - Use "real" reStructuredText comments instead of using the "raw" directive.
  * Dockerfile:
    - Build the Docker image from the current Git checkout, not the Debian
      archive. (reproducible-builds/diffoscope#56)
    - Use the ENTRYPOINT directive with the JSON syntax instead so we pass all
      arguments to the underlying diffoscope executable.
  * Document that run_diffoscope should not be considered a stable API.

  [ Mattia Rizzolo ]
  * Rename a test function to prevent shadowing a previous one with the
    same name.
  * Add ffmpeg to the list of Debian build-dependencies for the testsuite.

  [ Vagrant Cascadian ]
  * Add support for known external tools in GNU Guix.

 -- Chris Lamb <lamby@debian.org>  Sun, 07 Jul 2019 11:54:29 -0300

diffoscope (115) experimental; urgency=medium

  [ Chris Lamb ]
  * Fix execution of symbolic links that point to the "bin/diffoscope" entry
    point by fully resolving the location.
  * Add a Dockerfile.
  * Update contributing messages with instructions regarding the Docker image.

  [ Mattia Rizzolo ]
  * tests:
    + Allow specifying which tools are known missing using
    DIFFOSCOPE_TESTS_MISSING_TOOLS, to override a _FAIL_ON_MISSING_TOOLS.
    + With DIFFOSCOPE_TESTS_FAIL_ON_MISSING_TOOLS=1, actually fail only tests
      that are missing the required tools.
  * debian:
    + Add black to the test dependencies.
    + Enforce the "fail on missing tools" only when testing with all the
      recommended packages.
    + Ack some missing tools during autopkgtest.
    + Reinstate oggvideotools and procyon-decompiler test dependencies,
      now that are not buggy anymore.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 May 2019 16:02:02 +0200

diffoscope (114) experimental; urgency=medium

  [ Chris Lamb ]
  * Add support for GnuPG "keybox" files. Thanks to Daniel Kahn Gillmor for the
    suggestion. (Closes: #871244, reproducible-builds/diffoscope#23)
  * Always warn if tlsh module is not available (not just if a specific
    fuzziness threshold is specified) to match the epilog of the --help output.
    This prevents missing support for file rename detection.
    (Closes: #888237, reproducible-builds/diffoscope#29)

