=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  caca-utils <!nocheck>,
  colord <!nocheck>,
  db-util <!nocheck>,
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  device-tree-compiler (>= 1.4.2) <!nocheck>,
  dh-python (>= 2.20160818~),
@@ -25,6 +25,7 @@
  dpkg-dev (>= 1.17.14),
  e2fsprogs <!nocheck>,
  enjarify <!nocheck>,
+ ffmpeg <!nocheck>,
  flake8 <!nocheck>,
  fontforge-extras <!nocheck>,
  fp-utils [!ppc64el !s390x] <!nocheck>,
@@ -32,6 +33,7 @@
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
  gnumeric <!nocheck>,
+ gnupg-utils <!nocheck>,
  help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
@@ -48,11 +50,11 @@
  mplayer <!nocheck>,
  ocaml-nox <!nocheck>,
  odt2txt <!nocheck>,
-# oggvideotools [!s390x] <!nocheck>,
+ oggvideotools [!s390x] <!nocheck>,
  openssh-client <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
-# procyon-decompiler <!nocheck>,
+ procyon-decompiler <!nocheck>,
  python-argcomplete,
  python3-all,
  python3-binwalk <!nocheck>,
@@ -80,8 +82,9 @@
  unzip <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Build-Conflicts: graphicsmagick-imagemagick-compat
-Standards-Version: 4.3.0
+Build-Conflicts:
+ graphicsmagick-imagemagick-compat,
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
