=== debian/control ===
--- 
+++ 
@@ -80,6 +80,7 @@
  squashfs-tools <!nocheck>,
  tcpdump <!nocheck>,
  unzip <!nocheck>,
+ wabt <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
 Build-Conflicts:
