=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,13 @@
 ifneq ($(DEB_VERSION),$(PY_VERSION))
  ifneq ($(DEB_DISTRIBUTION),UNRELEASED)
   ifneq (,$(filter %-backports,$(DEB_DISTRIBUTION)))
-    ifeq ($(DEB_VERSION:~bpo9+1=),$(PY_VERSION))
+    ifeq ($(DEB_VERSION:~bpo10+1=),$(PY_VERSION))
      $(info Building a Debian backport, accepting version mismatch $(PY_VERSION) <-> $(DEB_VERSION))
     else
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
     endif
   else
-    ifeq ($(DEB_DISTRIBUTION),disco)
-     $(info "Ubuntu gets to do whatever they want ☺")
-    else
-     $(error Version in debian/changelog does not match diffoscope version)
-    endif
+   $(error Version in debian/changelog does not match diffoscope version)
   endif
  endif
 endif
@@ -83,9 +79,7 @@
 	@sed -i "s,python3-rpm-python,python3-rpm," debian/tests/control.tmp
 	@sed -i "s,apktool,apktool [!ppc64el !s390x]," debian/tests/control.tmp
 	@sed -i "s,fp-utils,fp-utils [!ppc64el !s390x]," debian/tests/control.tmp
-	#@sed -i "s,oggvideotools,oggvideotools [!s390x]," debian/tests/control.tmp
-	@sed -i "s/oggvideotools, //" debian/tests/control.tmp
-	@sed -i "s/procyon-decompiler, //" debian/tests/control.tmp
+	@sed -i "s,oggvideotools,oggvideotools [!s390x]," debian/tests/control.tmp
 	@set -e ; if ! diff -q debian/tests/control debian/tests/control.tmp ; then \
 		echo ;\
 		echo "The generated control file differs from the actual one." ;\
